import { z } from 'zod';
export type PyProject = z.infer<typeof PyProjectSchema>;
declare const UvGitSource: z.ZodObject<{
    git: z.ZodString;
    rev: z.ZodOptional<z.ZodString>;
    tag: z.ZodOptional<z.ZodString>;
    branch: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    git: string;
    branch?: string | undefined;
    tag?: string | undefined;
    rev?: string | undefined;
}, {
    git: string;
    branch?: string | undefined;
    tag?: string | undefined;
    rev?: string | undefined;
}>;
export type UvGitSource = z.infer<typeof UvGitSource>;
export declare const PyProjectSchema: z.ZodObject<{
    project: z.ZodOptional<z.ZodObject<{
        version: z.ZodCatch<z.ZodOptional<z.ZodString>>;
        'requires-python': z.ZodOptional<z.ZodString>;
        dependencies: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        'optional-dependencies': z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
    }, "strip", z.ZodTypeAny, {
        version?: string | undefined;
        dependencies?: string[] | undefined;
        'requires-python'?: string | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    }, {
        version?: unknown;
        dependencies?: string[] | undefined;
        'requires-python'?: string | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    }>>;
    'build-system': z.ZodOptional<z.ZodObject<{
        requires: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        'build-backend': z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        requires?: string[] | undefined;
        'build-backend'?: string | undefined;
    }, {
        requires?: string[] | undefined;
        'build-backend'?: string | undefined;
    }>>;
    'dependency-groups': z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodEffects<z.ZodArray<z.ZodAny, "many">, string[], any[]>>>;
    tool: z.ZodOptional<z.ZodObject<{
        pdm: z.ZodOptional<z.ZodObject<{
            'dev-dependencies': z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
            source: z.ZodOptional<z.ZodArray<z.ZodObject<{
                url: z.ZodString;
                name: z.ZodString;
                verify_ssl: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                url: string;
                verify_ssl?: boolean | undefined;
            }, {
                name: string;
                url: string;
                verify_ssl?: boolean | undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            source?: {
                name: string;
                url: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
            'dev-dependencies'?: Record<string, string[]> | undefined;
        }, {
            source?: {
                name: string;
                url: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
            'dev-dependencies'?: Record<string, string[]> | undefined;
        }>>;
        hatch: z.ZodOptional<z.ZodObject<{
            envs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodOptional<z.ZodObject<{
                dependencies: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                'extra-dependencies': z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            }, "strip", z.ZodTypeAny, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            }, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            }>>>>;
        }, "strip", z.ZodTypeAny, {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        }, {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        }>>;
        uv: z.ZodOptional<z.ZodObject<{
            'dev-dependencies': z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            sources: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, {
                git: string;
                branch?: string | undefined;
                tag?: string | undefined;
                rev?: string | undefined;
            } | {
                url: string;
            } | {
                path: string;
            } | {
                workspace: true;
            }>, Record<string, any>>>;
        }, "strip", z.ZodTypeAny, {
            sources?: Record<string, {
                git: string;
                branch?: string | undefined;
                tag?: string | undefined;
                rev?: string | undefined;
            } | {
                url: string;
            } | {
                path: string;
            } | {
                workspace: true;
            }> | undefined;
            'dev-dependencies'?: string[] | undefined;
        }, {
            sources?: Record<string, any> | undefined;
            'dev-dependencies'?: string[] | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        uv?: {
            sources?: Record<string, {
                git: string;
                branch?: string | undefined;
                tag?: string | undefined;
                rev?: string | undefined;
            } | {
                url: string;
            } | {
                path: string;
            } | {
                workspace: true;
            }> | undefined;
            'dev-dependencies'?: string[] | undefined;
        } | undefined;
        pdm?: {
            source?: {
                name: string;
                url: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
            'dev-dependencies'?: Record<string, string[]> | undefined;
        } | undefined;
        hatch?: {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        } | undefined;
    }, {
        uv?: {
            sources?: Record<string, any> | undefined;
            'dev-dependencies'?: string[] | undefined;
        } | undefined;
        pdm?: {
            source?: {
                name: string;
                url: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
            'dev-dependencies'?: Record<string, string[]> | undefined;
        } | undefined;
        hatch?: {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        } | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    project?: {
        version?: string | undefined;
        dependencies?: string[] | undefined;
        'requires-python'?: string | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    } | undefined;
    tool?: {
        uv?: {
            sources?: Record<string, {
                git: string;
                branch?: string | undefined;
                tag?: string | undefined;
                rev?: string | undefined;
            } | {
                url: string;
            } | {
                path: string;
            } | {
                workspace: true;
            }> | undefined;
            'dev-dependencies'?: string[] | undefined;
        } | undefined;
        pdm?: {
            source?: {
                name: string;
                url: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
            'dev-dependencies'?: Record<string, string[]> | undefined;
        } | undefined;
        hatch?: {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        } | undefined;
    } | undefined;
    'build-system'?: {
        requires?: string[] | undefined;
        'build-backend'?: string | undefined;
    } | undefined;
    'dependency-groups'?: Record<string, string[]> | undefined;
}, {
    project?: {
        version?: unknown;
        dependencies?: string[] | undefined;
        'requires-python'?: string | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    } | undefined;
    tool?: {
        uv?: {
            sources?: Record<string, any> | undefined;
            'dev-dependencies'?: string[] | undefined;
        } | undefined;
        pdm?: {
            source?: {
                name: string;
                url: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
            'dev-dependencies'?: Record<string, string[]> | undefined;
        } | undefined;
        hatch?: {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        } | undefined;
    } | undefined;
    'build-system'?: {
        requires?: string[] | undefined;
        'build-backend'?: string | undefined;
    } | undefined;
    'dependency-groups'?: Record<string, any[]> | undefined;
}>;
export declare const PdmLockfileSchema: z.ZodEffects<z.ZodEffects<z.ZodPipeline<z.ZodEffects<z.ZodString, unknown, string>, z.ZodObject<{
    package: z.ZodEffects<z.ZodArray<z.ZodAny, "many">, {
        name: string;
        version: string;
    }[], any[]>;
}, "strip", z.ZodTypeAny, {
    package: {
        name: string;
        version: string;
    }[];
}, {
    package: any[];
}>>, {
    [k: string]: string;
}, string>, {
    lock: {
        [k: string]: string;
    };
}, string>;
export declare const UvLockfileSchema: z.ZodEffects<z.ZodPipeline<z.ZodEffects<z.ZodString, unknown, string>, z.ZodObject<{
    package: z.ZodEffects<z.ZodArray<z.ZodAny, "many">, {
        name: string;
        version: string;
    }[], any[]>;
}, "strip", z.ZodTypeAny, {
    package: {
        name: string;
        version: string;
    }[];
}, {
    package: any[];
}>>, {
    [k: string]: string;
}, string>;
export {};
